<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:eanucc="urn:ean.ucc:2" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template name="eanucc_digitalSignature">
    <xsl:param name="parent" select="."/>        
    <xsl:param name="section"/>
<xsl:element name="table">
      <xsl:attribute name="class">section<xsl:value-of select="$section"/>
</xsl:attribute>
      <tr>
        <td colspan="2">
          <table>
            <tr>
              <xsl:if test="string-length($parent) != 0">
              <td class="tagName" width="40%">
<xsl:for-each select="$parent">
<xsl:value-of select="name()"/>
</xsl:for-each>
</td>
              </xsl:if>
              <xsl:if test="string-length($parent) = 0">
              <td class="tagName" width="60%">
<xsl:value-of select="name()"/>
</td>
              </xsl:if>
              <td align="right" class="typeName" width="60%">
<replaceTypeName/>
</td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        <xsl:apply-templates select="$parent/*"/>
</td>
      </tr>			
    </xsl:element>
  </xsl:template>
</xsl:stylesheet>
