<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:eanucc="urn:ean.ucc:2" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template name="eanucc_additionalPartyIdentification">
    <xsl:param name="parent" select="."/>        
    <xsl:param name="section"/>
<xsl:element name="table">
      <xsl:attribute name="class">section<xsl:value-of select="$section"/>
</xsl:attribute>
      <tr>
        <td colspan="2">
          <table>
            <tr>
              <xsl:if test="string-length($parent) != 0">
              <td class="tagName" width="40%">
<xsl:for-each select="$parent">
<xsl:value-of select="name()"/>
</xsl:for-each>
</td>
              </xsl:if>
              <xsl:if test="string-length($parent) = 0">
              <td class="tagName" width="60%">
<xsl:value-of select="name()"/>
</td>
              </xsl:if>
              <td align="right" class="typeName" width="60%">
<replaceTypeName/>
</td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        <table cellpadding="3" cellspacing="3">
<xsl:choose>
<xsl:when test="$parent/additionalPartyIdentificationValue">
<xsl:for-each select="$parent/additionalPartyIdentificationValue">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">additionalPartyIdentificationValue</td>
<td width="70%"> <image alt="occurence:1..1, datatype:eanucc.common.v2_0.DataTypes.String" src="inform.gif"/>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/additionalPartyIdentificationValue) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PartyIdentification.AdditionalPartyIdentificationType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/additionalPartyIdentificationValue) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PartyIdentification.AdditionalPartyIdentificationType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/additionalPartyIdentificationValue) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/additionalPartyIdentificationValue)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PartyIdentification.AdditionalPartyIdentificationType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>additionalPartyIdentificationValue[1]/</xsl:text>
</xsl:attribute>add additionalPartyIdentificationValue</xsl:element>
</xsl:if> <image alt="occurence:1..1, datatype:eanucc.common.v2_0.DataTypes.String" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/additionalPartyIdentificationType">
<xsl:for-each select="$parent/additionalPartyIdentificationType">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">additionalPartyIdentificationType</td>
<td width="70%"> <image alt="occurence:1..1, datatype:eanucc.common.v2_0.AdditionalPartyIdentificationList.AdditionalPartyIdentificationListType" src="inform.gif"/>
<xsl:element name="select">
<xsl:attribute name="class">Select</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
<xsl:element name="option">
<xsl:attribute name="value">TD_LINK_TRADE_DIMENSIONS</xsl:attribute>
<xsl:if test=".='TD_LINK_TRADE_DIMENSIONS'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>TD_LINK_TRADE_DIMENSIONS</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">BUYER_ASSIGNED_IDENTIFIER_FOR_A_PARTY</xsl:attribute>
<xsl:if test=".='BUYER_ASSIGNED_IDENTIFIER_FOR_A_PARTY'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>BUYER_ASSIGNED_IDENTIFIER_FOR_A_PARTY</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FOR_INTERNAL_USE_9</xsl:attribute>
<xsl:if test=".='FOR_INTERNAL_USE_9'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FOR_INTERNAL_USE_9</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">DEA_DRUG_ENFORCEMENT_AGENCY</xsl:attribute>
<xsl:if test=".='DEA_DRUG_ENFORCEMENT_AGENCY'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>DEA_DRUG_ENFORCEMENT_AGENCY</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">DUNS_PLUS_FOUR</xsl:attribute>
<xsl:if test=".='DUNS_PLUS_FOUR'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>DUNS_PLUS_FOUR</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FOR_INTERNAL_USE_8</xsl:attribute>
<xsl:if test=".='FOR_INTERNAL_USE_8'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FOR_INTERNAL_USE_8</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FOR_INTERNAL_USE_7</xsl:attribute>
<xsl:if test=".='FOR_INTERNAL_USE_7'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FOR_INTERNAL_USE_7</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FOR_INTERNAL_USE_6</xsl:attribute>
<xsl:if test=".='FOR_INTERNAL_USE_6'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FOR_INTERNAL_USE_6</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FOR_INTERNAL_USE_5</xsl:attribute>
<xsl:if test=".='FOR_INTERNAL_USE_5'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FOR_INTERNAL_USE_5</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">SCAC</xsl:attribute>
<xsl:if test=".='SCAC'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>SCAC</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FOR_INTERNAL_USE_4</xsl:attribute>
<xsl:if test=".='FOR_INTERNAL_USE_4'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FOR_INTERNAL_USE_4</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FOR_INTERNAL_USE_19</xsl:attribute>
<xsl:if test=".='FOR_INTERNAL_USE_19'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FOR_INTERNAL_USE_19</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FOR_INTERNAL_USE_3</xsl:attribute>
<xsl:if test=".='FOR_INTERNAL_USE_3'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FOR_INTERNAL_USE_3</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FOR_INTERNAL_USE_18</xsl:attribute>
<xsl:if test=".='FOR_INTERNAL_USE_18'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FOR_INTERNAL_USE_18</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FOR_INTERNAL_USE_2</xsl:attribute>
<xsl:if test=".='FOR_INTERNAL_USE_2'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FOR_INTERNAL_USE_2</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FOR_INTERNAL_USE_17</xsl:attribute>
<xsl:if test=".='FOR_INTERNAL_USE_17'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FOR_INTERNAL_USE_17</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">SELLER_ASSIGNED_IDENTIFIER_FOR_A_PARTY</xsl:attribute>
<xsl:if test=".='SELLER_ASSIGNED_IDENTIFIER_FOR_A_PARTY'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>SELLER_ASSIGNED_IDENTIFIER_FOR_A_PARTY</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FOR_INTERNAL_USE_1</xsl:attribute>
<xsl:if test=".='FOR_INTERNAL_USE_1'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FOR_INTERNAL_USE_1</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FOR_INTERNAL_USE_16</xsl:attribute>
<xsl:if test=".='FOR_INTERNAL_USE_16'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FOR_INTERNAL_USE_16</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FOR_INTERNAL_USE_15</xsl:attribute>
<xsl:if test=".='FOR_INTERNAL_USE_15'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FOR_INTERNAL_USE_15</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FOR_INTERNAL_USE_14</xsl:attribute>
<xsl:if test=".='FOR_INTERNAL_USE_14'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FOR_INTERNAL_USE_14</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FOR_INTERNAL_USE_20</xsl:attribute>
<xsl:if test=".='FOR_INTERNAL_USE_20'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FOR_INTERNAL_USE_20</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FOR_INTERNAL_USE_13</xsl:attribute>
<xsl:if test=".='FOR_INTERNAL_USE_13'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FOR_INTERNAL_USE_13</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FOR_INTERNAL_USE_12</xsl:attribute>
<xsl:if test=".='FOR_INTERNAL_USE_12'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FOR_INTERNAL_USE_12</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FOR_INTERNAL_USE_11</xsl:attribute>
<xsl:if test=".='FOR_INTERNAL_USE_11'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FOR_INTERNAL_USE_11</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">DUNS</xsl:attribute>
<xsl:if test=".='DUNS'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>DUNS</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">USDA_ESTABLISHMENT_NUMBER</xsl:attribute>
<xsl:if test=".='USDA_ESTABLISHMENT_NUMBER'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>USDA_ESTABLISHMENT_NUMBER</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FOR_INTERNAL_USE_10</xsl:attribute>
<xsl:if test=".='FOR_INTERNAL_USE_10'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FOR_INTERNAL_USE_10</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">UN_LOCATION_CODE</xsl:attribute>
<xsl:if test=".='UN_LOCATION_CODE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>UN_LOCATION_CODE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">HIN_CANADIAN_HEALTHCARE_IDENTIFICATION_NUMBER</xsl:attribute>
<xsl:if test=".='HIN_CANADIAN_HEALTHCARE_IDENTIFICATION_NUMBER'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>HIN_CANADIAN_HEALTHCARE_IDENTIFICATION_NUMBER</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">UCC_COMMUNICATION_IDENTIFICATION</xsl:attribute>
<xsl:if test=".='UCC_COMMUNICATION_IDENTIFICATION'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>UCC_COMMUNICATION_IDENTIFICATION</xsl:element>
</xsl:element>
<xsl:if test="count($parent/additionalPartyIdentificationType) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PartyIdentification.AdditionalPartyIdentificationType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/additionalPartyIdentificationType) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PartyIdentification.AdditionalPartyIdentificationType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/additionalPartyIdentificationType) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/additionalPartyIdentificationValue)+count($parent/additionalPartyIdentificationType)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PartyIdentification.AdditionalPartyIdentificationType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>additionalPartyIdentificationType[1]/</xsl:text>
</xsl:attribute>add additionalPartyIdentificationType</xsl:element>
</xsl:if> <image alt="occurence:1..1, datatype:eanucc.common.v2_0.AdditionalPartyIdentificationList.AdditionalPartyIdentificationListType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
</table>
</td>
      </tr>			
    </xsl:element>
  </xsl:template>
</xsl:stylesheet>
