<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:eanucc="urn:ean.ucc:2" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template name="eanucc_paymentMethod">
    <xsl:param name="parent" select="."/>        
    <xsl:param name="section"/>
<xsl:element name="table">
      <xsl:attribute name="class">section<xsl:value-of select="$section"/>
</xsl:attribute>
      <tr>
        <td colspan="2">
          <table>
            <tr>
              <xsl:if test="string-length($parent) != 0">
              <td class="tagName" width="40%">
<xsl:for-each select="$parent">
<xsl:value-of select="name()"/>
</xsl:for-each>
</td>
              </xsl:if>
              <xsl:if test="string-length($parent) = 0">
              <td class="tagName" width="60%">
<xsl:value-of select="name()"/>
</td>
              </xsl:if>
              <td align="right" class="typeName" width="60%">
<replaceTypeName/>
</td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        <table cellpadding="3" cellspacing="3">
<xsl:choose>
<xsl:when test="$parent/automatedClearingHousePaymentFormat">
<xsl:for-each select="$parent/automatedClearingHousePaymentFormat">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">automatedClearingHousePaymentFormat</td>
<td width="70%"> <image alt="occurence:1..1, datatype:eanucc.common.v2_0.PaymentFormatList.PaymentFormatListType" src="inform.gif"/>
<xsl:element name="select">
<xsl:attribute name="class">Select</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
<xsl:element name="option">
<xsl:attribute name="value">CTX</xsl:attribute>
<xsl:if test=".='CTX'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>CTX</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">CCP</xsl:attribute>
<xsl:if test=".='CCP'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>CCP</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">PPD</xsl:attribute>
<xsl:if test=".='PPD'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>PPD</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">CCD</xsl:attribute>
<xsl:if test=".='CCD'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>CCD</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">PPP</xsl:attribute>
<xsl:if test=".='PPP'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>PPP</xsl:element>
</xsl:element>
<xsl:if test="count($parent/automatedClearingHousePaymentFormat) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentMethod.PaymentMethodType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove choice </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/automatedClearingHousePaymentFormat) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentMethod.PaymentMethodType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add choice </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/automatedClearingHousePaymentFormat) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/automatedClearingHousePaymentFormat)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentMethod.PaymentMethodType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>automatedClearingHousePaymentFormat[1]/</xsl:text>
</xsl:attribute>add choice automatedClearingHousePaymentFormat</xsl:element>
</xsl:if> <image alt="occurence:1..1, datatype:eanucc.common.v2_0.PaymentFormatList.PaymentFormatListType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/paymentMethodType">
<xsl:for-each select="$parent/paymentMethodType">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">paymentMethodType</td>
<td width="70%"> <image alt="occurence:1..1, datatype:eanucc.common.v2_0.PaymentMethodList.PaymentMethodListType" src="inform.gif"/>
<xsl:element name="select">
<xsl:attribute name="class">Select</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
<xsl:element name="option">
<xsl:attribute name="value">BANK_GIRO</xsl:attribute>
<xsl:if test=".='BANK_GIRO'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>BANK_GIRO</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">BANK_CHEQUE</xsl:attribute>
<xsl:if test=".='BANK_CHEQUE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>BANK_CHEQUE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">CREDIT_CARD</xsl:attribute>
<xsl:if test=".='CREDIT_CARD'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>CREDIT_CARD</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">BOOKENTRY_CREDIT</xsl:attribute>
<xsl:if test=".='BOOKENTRY_CREDIT'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>BOOKENTRY_CREDIT</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">ELECTRONIC_CREDIT_ACH</xsl:attribute>
<xsl:if test=".='ELECTRONIC_CREDIT_ACH'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>ELECTRONIC_CREDIT_ACH</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">CERTIFIED_CHEQUE</xsl:attribute>
<xsl:if test=".='CERTIFIED_CHEQUE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>CERTIFIED_CHEQUE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">INTERNATIONAL_WIRE</xsl:attribute>
<xsl:if test=".='INTERNATIONAL_WIRE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>INTERNATIONAL_WIRE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">DEBIT_CARD</xsl:attribute>
<xsl:if test=".='DEBIT_CARD'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>DEBIT_CARD</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">WIRE_TRANSFER_CREDIT</xsl:attribute>
<xsl:if test=".='WIRE_TRANSFER_CREDIT'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>WIRE_TRANSFER_CREDIT</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">BOOKENTRY_DEBIT</xsl:attribute>
<xsl:if test=".='BOOKENTRY_DEBIT'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>BOOKENTRY_DEBIT</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">WIRE_TRANSFER_DEBIT</xsl:attribute>
<xsl:if test=".='WIRE_TRANSFER_DEBIT'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>WIRE_TRANSFER_DEBIT</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">BOP</xsl:attribute>
<xsl:if test=".='BOP'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>BOP</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">CASH</xsl:attribute>
<xsl:if test=".='CASH'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>CASH</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">CHEQUE</xsl:attribute>
<xsl:if test=".='CHEQUE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>CHEQUE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">LETTER_OF_CREDIT</xsl:attribute>
<xsl:if test=".='LETTER_OF_CREDIT'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>LETTER_OF_CREDIT</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FED_WIRE_NON_REPETITIVE</xsl:attribute>
<xsl:if test=".='FED_WIRE_NON_REPETITIVE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FED_WIRE_NON_REPETITIVE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">BANKERS_DRAFT</xsl:attribute>
<xsl:if test=".='BANKERS_DRAFT'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>BANKERS_DRAFT</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">ELECTRONIC_DEBIT_ACH</xsl:attribute>
<xsl:if test=".='ELECTRONIC_DEBIT_ACH'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>ELECTRONIC_DEBIT_ACH</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FED_WIRE_REPETITIVE</xsl:attribute>
<xsl:if test=".='FED_WIRE_REPETITIVE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FED_WIRE_REPETITIVE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">POSTGIRO</xsl:attribute>
<xsl:if test=".='POSTGIRO'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>POSTGIRO</xsl:element>
</xsl:element>
<xsl:if test="count($parent/paymentMethodType) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentMethod.PaymentMethodType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove choice </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/paymentMethodType) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentMethod.PaymentMethodType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add choice </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/paymentMethodType) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/automatedClearingHousePaymentFormat)+count($parent/paymentMethodType)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.common.v2_0.PaymentMethod.PaymentMethodType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>paymentMethodType[1]/</xsl:text>
</xsl:attribute>add choice paymentMethodType</xsl:element>
</xsl:if> <image alt="occurence:1..1, datatype:eanucc.common.v2_0.PaymentMethodList.PaymentMethodListType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
</table>
</td>
      </tr>			
    </xsl:element>
  </xsl:template>
</xsl:stylesheet>
