<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:eanucc="urn:ean.ucc:2" xmlns:pay="urn:ean.ucc:pay:2" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template name="pay_invoiceAllowanceCharge">
    <xsl:param name="parent" select="."/>        
    <xsl:param name="section"/>
<xsl:element name="table">
      <xsl:attribute name="class">section<xsl:value-of select="$section"/>
</xsl:attribute>
      <tr>
        <td colspan="2">
          <table>
            <tr>
              <xsl:if test="string-length($parent) != 0">
              <td class="tagName" width="40%">
<xsl:for-each select="$parent">
<xsl:value-of select="name()"/>
</xsl:for-each>
</td>
              </xsl:if>
              <xsl:if test="string-length($parent) = 0">
              <td class="tagName" width="60%">
<xsl:value-of select="name()"/>
</td>
              </xsl:if>
              <td align="right" class="typeName" width="60%">
<replaceTypeName/>
</td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        <table cellpadding="3" cellspacing="3">
<xsl:choose>
<xsl:when test="$parent/invoiceAllowanceChargeAmount">
<xsl:for-each select="$parent/invoiceAllowanceChargeAmount">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">invoiceAllowanceChargeAmount</td>
<td width="70%"> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/invoiceAllowanceChargeAmount) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceAllowanceChargeType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/invoiceAllowanceChargeAmount) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceAllowanceChargeType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/invoiceAllowanceChargeAmount) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/invoiceAllowanceChargeAmount)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceAllowanceChargeType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>invoiceAllowanceChargeAmount[1]/</xsl:text>
</xsl:attribute>add invoiceAllowanceChargeAmount</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/invoiceAllowanceChargeType">
<xsl:for-each select="$parent/invoiceAllowanceChargeType">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">invoiceAllowanceChargeType</td>
<td width="70%"> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.AllowanceChargeList.AllowanceChargeListType" src="inform.gif"/>
<xsl:element name="select">
<xsl:attribute name="class">Select</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
<xsl:element name="option">
<xsl:attribute name="value">INSURANCE_CHARGE</xsl:attribute>
<xsl:if test=".='INSURANCE_CHARGE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>INSURANCE_CHARGE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">LUMP_SUM</xsl:attribute>
<xsl:if test=".='LUMP_SUM'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>LUMP_SUM</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">CONSOLIDATED</xsl:attribute>
<xsl:if test=".='CONSOLIDATED'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>CONSOLIDATED</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FLAT_RATE</xsl:attribute>
<xsl:if test=".='FLAT_RATE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FLAT_RATE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FREIGHT_COSTS</xsl:attribute>
<xsl:if test=".='FREIGHT_COSTS'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FREIGHT_COSTS</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FREE_GOODS</xsl:attribute>
<xsl:if test=".='FREE_GOODS'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FREE_GOODS</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">PACKING_CHARGES</xsl:attribute>
<xsl:if test=".='PACKING_CHARGES'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>PACKING_CHARGES</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">CHARGE_GLOBAL</xsl:attribute>
<xsl:if test=".='CHARGE_GLOBAL'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>CHARGE_GLOBAL</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">MARKUP_FOR_SMALL_VOLUME_PURCHASES</xsl:attribute>
<xsl:if test=".='MARKUP_FOR_SMALL_VOLUME_PURCHASES'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>MARKUP_FOR_SMALL_VOLUME_PURCHASES</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">ALLOWANCE_GLOBAL</xsl:attribute>
<xsl:if test=".='ALLOWANCE_GLOBAL'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>ALLOWANCE_GLOBAL</xsl:element>
</xsl:element>
<xsl:if test="count($parent/invoiceAllowanceChargeType) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceAllowanceChargeType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/invoiceAllowanceChargeType) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceAllowanceChargeType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/invoiceAllowanceChargeType) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/invoiceAllowanceChargeAmount)+count($parent/invoiceAllowanceChargeType)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceAllowanceChargeType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>invoiceAllowanceChargeType[1]/</xsl:text>
</xsl:attribute>add invoiceAllowanceChargeType</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.AllowanceChargeList.AllowanceChargeListType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/invoiceAllowanceOrChargeType">
<xsl:for-each select="$parent/invoiceAllowanceOrChargeType">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">invoiceAllowanceOrChargeType</td>
<td width="70%"> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.AllowanceOrChargeList.AllowanceOrChargeListType" src="inform.gif"/>
<xsl:element name="select">
<xsl:attribute name="class">Select</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
<xsl:element name="option">
<xsl:attribute name="value">CHARGE</xsl:attribute>
<xsl:if test=".='CHARGE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>CHARGE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">ALLOWANCE</xsl:attribute>
<xsl:if test=".='ALLOWANCE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>ALLOWANCE</xsl:element>
</xsl:element>
<xsl:if test="count($parent/invoiceAllowanceOrChargeType) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceAllowanceChargeType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/invoiceAllowanceOrChargeType) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceAllowanceChargeType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/invoiceAllowanceOrChargeType) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/invoiceAllowanceChargeAmount)+count($parent/invoiceAllowanceChargeType)+count($parent/invoiceAllowanceOrChargeType)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceAllowanceChargeType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>invoiceAllowanceOrChargeType[1]/</xsl:text>
</xsl:attribute>add invoiceAllowanceOrChargeType</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.common.v2_0.AllowanceOrChargeList.AllowanceOrChargeListType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$parent/invoiceTaxInformation">
<xsl:for-each select="$parent/invoiceTaxInformation">
<tr>
<td>
<xsl:if test="$editvalue='true'">
<xsl:if test="1 &gt; count($parent/invoiceTaxInformation) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceAllowanceChargeType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
<xsl:if test="count($parent/invoiceTaxInformation) &gt; 0">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceAllowanceChargeType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.pay.v2_0.InvoiceTaxInformation.InvoiceTaxInformationType" src="inform.gif"/>
</xsl:if>
<xsl:call-template name="pay_invoiceTaxInformation">
<xsl:with-param name="parent" select="."/>
<xsl:with-param name="section" select="$section+1"/>
</xsl:call-template>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/invoiceTaxInformation) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count($parent/invoiceAllowanceChargeAmount)+count($parent/invoiceAllowanceChargeType)+count($parent/invoiceAllowanceOrChargeType)+count($parent/invoiceTaxInformation)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.v2_0.Invoice.InvoiceAllowanceChargeType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>invoiceTaxInformation[1]/</xsl:text>
</xsl:attribute>add invoiceTaxInformation</xsl:element>
</xsl:if> <image alt="occurence:0..1, datatype:eanucc.pay.v2_0.InvoiceTaxInformation.InvoiceTaxInformationType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
</table>
</td>
      </tr>			
    </xsl:element>
  </xsl:template>
</xsl:stylesheet>
