<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:vat="urn:ean.ucc:pay:vat:2" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="vat:vATTaxInformationExtension">
    <xsl:param name="parent" select="."/>        
    <xsl:variable name="section" select="'2'"/>
<input name="xmltemplate" type="hidden" value="3_XML_DEVELOPMENT/3_XMLTEMPLATE/ean.ucc/pay/vat/2.0/Invoice_VATExtension.xml.template"/>
<xsl:element name="table">
      <xsl:attribute name="class">section<xsl:value-of select="$section"/>
</xsl:attribute>
      <tr>
        <td colspan="2">
          <table>
            <tr>
              <xsl:if test="string-length($parent) != 0">
              <td class="tagName" width="40%">
<xsl:for-each select="$parent">
<xsl:value-of select="name()"/>
</xsl:for-each>
</td>
              </xsl:if>
              <xsl:if test="string-length($parent) = 0">
              <td class="tagName" width="60%">
<xsl:value-of select="name()"/>
</td>
              </xsl:if>
              <td align="right" class="typeName" width="60%">
<replaceTypeName/>
</td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        </td>
      </tr>
      <tr>
        <td class="indent"/>
        <td>

        <table cellpadding="3" cellspacing="3">
<xsl:choose>
<xsl:when test="rate">
<xsl:for-each select="rate">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">rate</td>
<td width="70%"> <image alt="occurence:, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
</xsl:element>
<xsl:if test="count($parent/rate) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.vat.v2_0.VATTaxInformationExtension.VATTaxInformationExtensionType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/rate) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.vat.v2_0.VATTaxInformationExtension.VATTaxInformationExtensionType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/rate) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count(rate)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.vat.v2_0.VATTaxInformationExtension.VATTaxInformationExtensionType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>rate[1]/</xsl:text>
</xsl:attribute>add rate</xsl:element>
</xsl:if> <image alt="occurence:, datatype:eanucc.common.v2_0.DataTypes.Float" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="vATCategory">
<xsl:for-each select="vATCategory">
<tr>
<td>
<xsl:choose>
<xsl:when test="$editvalue='true'">
<table>
<tr>
<td class="tagName" width="30%">vATCategory</td>
<td width="70%"> <image alt="occurence:, datatype:eanucc.pay.vat.v2_0.VATCategoryCodeList.VATCategoryCodeListType" src="inform.gif"/>
<xsl:element name="select">
<xsl:attribute name="class">Select</xsl:attribute>
<xsl:attribute name="name">inputBox</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>
<xsl:element name="option">
<xsl:attribute name="value">STANDARD_RATE</xsl:attribute>
<xsl:if test=".='STANDARD_RATE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>STANDARD_RATE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">HIGHER_RATE</xsl:attribute>
<xsl:if test=".='HIGHER_RATE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>HIGHER_RATE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">MIXED_TAX_RATE</xsl:attribute>
<xsl:if test=".='MIXED_TAX_RATE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>MIXED_TAX_RATE</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">SERVICES_OUTSIDE_SCOPE_OF_TAX</xsl:attribute>
<xsl:if test=".='SERVICES_OUTSIDE_SCOPE_OF_TAX'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>SERVICES_OUTSIDE_SCOPE_OF_TAX</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">EXEMPT_FROM_TAX</xsl:attribute>
<xsl:if test=".='EXEMPT_FROM_TAX'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>EXEMPT_FROM_TAX</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">VALUE_ADDED_TAX_NOT_NOW_DUE_FOR_PAYMENT</xsl:attribute>
<xsl:if test=".='VALUE_ADDED_TAX_NOT_NOW_DUE_FOR_PAYMENT'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>VALUE_ADDED_TAX_NOT_NOW_DUE_FOR_PAYMENT</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">ZERO_RATED_GOODS</xsl:attribute>
<xsl:if test=".='ZERO_RATED_GOODS'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>ZERO_RATED_GOODS</xsl:element>
<xsl:element name="option">
<xsl:attribute name="value">FREE_EXPORT_ITEM</xsl:attribute>
<xsl:if test=".='FREE_EXPORT_ITEM'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>FREE_EXPORT_ITEM</xsl:element>
</xsl:element>
<xsl:if test="count($parent/vATCategory) &gt; 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">remove</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.vat.v2_0.VATTaxInformationExtension.VATTaxInformationExtensionType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>remove </xsl:element>
</xsl:if>
<xsl:if test="1 &gt; count($parent/vATCategory) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.vat.v2_0.VATTaxInformationExtension.VATTaxInformationExtensionType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
</xsl:attribute>add </xsl:element>
</xsl:if>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="."/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$editvalue='true'">
<tr>
<td>
<xsl:if test="1 &gt; count($parent/vATCategory) or -1 = 1">
<xsl:element name="button">
<xsl:attribute name="style">border: 1px solid black;</xsl:attribute>
<xsl:attribute name="action">add</xsl:attribute>
<xsl:attribute name="name">saveButton</xsl:attribute>
<xsl:attribute name="insertPoint">
<xsl:value-of select="count(rate)+count(vATCategory)"/>
</xsl:attribute>
<xsl:attribute name="fullClassName">eanucc.pay.vat.v2_0.VATTaxInformationExtension.VATTaxInformationExtensionType</xsl:attribute>
<xsl:attribute name="xpath">
<xsl:call-template name="xpathString"/>
<xsl:text>vATCategory[1]/</xsl:text>
</xsl:attribute>add vATCategory</xsl:element>
</xsl:if> <image alt="occurence:, datatype:eanucc.pay.vat.v2_0.VATCategoryCodeList.VATCategoryCodeListType" src="inform.gif"/>
</td>
</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
</table>
</td>
      </tr>			
    </xsl:element>
  </xsl:template>
</xsl:stylesheet>
